<script setup lang="ts">
import { onLaunch, onShow, onHide } from "@dcloudio/uni-app";
import { store } from "./store";
onLaunch(async (query) => {
   
  console.log("App Launch,扫码的参数信息",query);
  wx.getLaunchOptionsSync((res:any) => {
    console.log('获取本次应用启动的参数信息',res)
  })

  await store.dispatch('serveInfo/wxLogin',{authType:'wx',isJudg:true}) // 查看当前用户是否为新用户
  // console.log('查看当前用户是否为新用户',res)

});
onShow(() => {
  console.log("App Show");
});
onHide(() => {
  console.log("App Hide");
});
</script>
<style>
@import './static/font/iconfont.css';
page {
  background-color: #efefef;
}
</style>
